Subject: Re: [draft-melnikov-sieve-external-lists] 2.4 Proposed Error Handling Clarifications
From: Robert Burrell Donkin <[email-masked]>
To: Cyrus Daboo <[email-masked]>
Cc: [email-masked], Jeffrey Hutzelman <[email-masked]>, MTA filtering mailing list <[email-masked]>
Date: Sat, 1 Aug 2009 11:06:58 +0100
List-Id: <ietf-mta-filters.imc.org>

(thanks to barry for his detailed post)

On Sat, Aug 1, 2009 at 8:08 AM, Cyrus Daboo<[email-masked]> wrote:
> Hi Robert,
>
> --On July 31, 2009 10:07:06 AM +0100 Robert Burrell Donkin
> <[email-masked]> wrote:
>
>>> I'm sure there will be a summary in the WG minutes, when they're done.
>>
>> i'm sure that there will
>>
>> it would have been polite to inform the mailing list that changes - of
>> a fundamental nature - had been agreed at the meeting, and that any
>> discussions on - or analysis of - the recently posted draft 00 would
>> be wasted
>
> Note that an agenda for the meeting was posted to the list in the week prior
> to the meeting for feedback and to give participants a heads-up on what is
> going to be discussed. Minutes for the meeting will be available in the next
> few weeks. In the meantime there are jabber logs and audio recordings that
> can be used to check on what happened.
>
> In general I would suggest that if you do plan a detailed review of a
> document (not prompted by say a WG last call), that it makes sense to first
> contact the authors either directly or via the list to check on the status
> of the document to make sure there are no queued up changes that may be of
> significance. That is certainly advisable at around the time of an IETF
> meeting where drafts are often updated.
>
> In any case, your feedback on this and other documents is appreciated. If
> you do think that changes to the WG process are needed, it would probably be
> best to bring that up on the general IETF discussion list or the apps area
> list as I don't think this WG behaves much differently from many others.

unfortunately, i'm running out of time :-/

this also isn't my battle

FWIW

the IETF has issues with it's current process, or at least the general
perception of it's process

i'm probably a little atypical in that i develop mostly enterprise
Java and am involved with Sieve through the FOSS library writing i do
for kicks. i've tried hard to persuade downstream application authors
to get involved with the work of this group without success. the
impression many have is that the IETF is now too vendor driven,
political and closed. it may well be that this is a problem of
perception - and not substance - but that makes it no less real.

AIUI the IETF now seems more meeting focussed than in the 90's (quite
possibly for very good reasons) but this means that - if the process
is going to be seen as inclusive and open - efforts need to be made to
reach out from the meeting to the wider public. i think barry's
suggestions about ways to widen participation at meetings are
definitely worthwhile. there are also some simple things that any WG
could do to reach out to those who participate just on the lists (a
few more posts - for example - just briefly explaining the process and
encouraging wider participation even at the cost of a small amount of
repitition for regular readers).

perhaps the mechanics of the editing process could also be useful
reviewed. a distribution version control system such as git could
lower the cost of participation.

- robert